#!/bin/sh

# $Id$

##############################
# Edit the following options #
##############################

       home="/home/tushuser"

   serverip="169.254.1.1"	# this is the server we are connecting to
   remoteip="localhost"         # this is the server on which Oracle resides
 serverport="1521"		# this is the serverport Oracle is Listening on
 clientport="11521"		# this is what we are going to point our
				# client's tnsnames.ora file to on the localhost
        log="${home}/log/${serverip}.log"

#######################
# End of user options #
#######################

ssh_options="-v -v -v -L ${clientport}:${remoteip}:${serverport} -i ${home}/.ssh/id_rsa ${serverip}"

  AWK=/bin/awk
 GREP=/bin/grep
   PS=/bin/ps
SLEEP=/bin/sleep
  SSH=/usr/bin/ssh

pid=`${PS} -aef | ${GREP} "[/]usr/bin/ssh ${ssh_options}" | ${AWK} '{print $2;}'`
if [ "x${pid}" == "x" ]
then
        # ssh tunnel is down - start it back up
	echo "Starting Tunnel ${clientport}:localhost:${serverport}: "`date` >> ${log}
        (${SSH} ${ssh_options} >> ${log} 2>&1 &) &
fi
